Scalingo-20 Stack

This article describes the scalingo-20 stack, based on Ubuntu 20.04. What is a stack?

Support Period

scalingo-20 is based on Ubuntu 20.04. It will be supported through April 2025.

Testing and Upgrading Your App

Learn how to test and upgrade your app to scalingo-20.

Docker Image

This base image is a completely standard Docker image. You can run it locally with this command:

docker pull scalingo/scalingo-20:latest
docker run --rm -it scalingo/scalingo-20:latest bash

Ubuntu Packages

The following table lists available packages and versions for the stack scalingo-20.

In general, apps do not typically interact directly with this level of operating system services. Some app dependencies may, as well as apps that directly rely on the underlying operating system. The list below is provided to document the available operating system packages.

Name Version
adduser 3.118ubuntu2
alsa-topology-conf 1.2.2-1
alsa-ucm-conf 1.2.2-1ubuntu0.10
apt 2.0.6
autoconf 2.69-11.1
automake 1:1.16.1-4ubuntu6
autotools-dev 20180224.1
base-files 11ubuntu5.4
base-passwd 3.5.47
bash 5.0-6ubuntu1.1
bind9-dnsutils 1:9.16.1-0ubuntu2.8
bind9-host 1:9.16.1-0ubuntu2.8
bind9-libs:amd64 1:9.16.1-0ubuntu2.8
binfmt-support 2.2.0-2
binutils 2.34-6ubuntu1.1
binutils-common:amd64 2.34-6ubuntu1.1
binutils-x86-64-linux-gnu 2.34-6ubuntu1.1
brz 3.0.2-4ubuntu2
bsdutils 1:2.34-0.1ubuntu9.1
build-essential 12.8ubuntu1.1
bzip2 1.0.8-2
bzip2-doc 1.0.8-2
bzr 2.7.0+bzr6622+brz
ca-certificates 20210119~20.04.2
clang-6.0 1:6.0.1-14
coreutils 8.30-3ubuntu2
cpp 4:9.3.0-1ubuntu2
cpp-9 9.3.0-17ubuntu1~20.04
cron 3.0pl1-136ubuntu1
curl 7.68.0-1ubuntu2.7
dash 0.5.10.2-6
dbus 1.12.16-2ubuntu2.1
debconf 1.5.73
debianutils 4.9.1
diffutils 1:3.7-3
dirmngr 2.2.19-3ubuntu2.1
distro-info-data 0.43ubuntu1.8
dnsutils 1:9.16.1-0ubuntu2.8
docutils-common 0.16+dfsg-2
dpkg 1.19.7ubuntu3
dpkg-dev 1.19.7ubuntu3
e2fsprogs 1.45.5-2ubuntu1
ed 1.16-1
fakeroot 1.24-1
fdisk 2.34-0.1ubuntu9.1
file 1:5.38-4
findutils 4.7.0-1ubuntu1
fontconfig 2.13.1-2ubuntu3
fontconfig-config 2.13.1-2ubuntu3
fonts-dejavu-core 2.37-1
fonts-droid-fallback 1:6.0.1r16-1.1
fonts-lato 2.0-2
fonts-noto-mono 20200323-1build1~ubuntu20.04.1
fonts-urw-base35 20170801.1-3
g++ 4:9.3.0-1ubuntu2
g++-9 9.3.0-17ubuntu1~20.04
gcc 4:9.3.0-1ubuntu2
gcc-10-base:amd64 10.3.0-1ubuntu1~20.04
gcc-9 9.3.0-17ubuntu1~20.04
gcc-9-base:amd64 9.3.0-17ubuntu1~20.04
ghostscript 9.50~dfsg-5ubuntu4.3
gir1.2-freedesktop:amd64 1.64.1-1~ubuntu20.04.1
gir1.2-gdkpixbuf-2.0:amd64 2.40.0+dfsg-3ubuntu0.2
gir1.2-glib-2.0:amd64 1.64.1-1~ubuntu20.04.1
gir1.2-rsvg-2.0:amd64 2.48.9-1ubuntu0.20.04.1
git 1:2.25.1-1ubuntu3.2
git-man 1:2.25.1-1ubuntu3.2
gnupg 2.2.19-3ubuntu2.1
gnupg-l10n 2.2.19-3ubuntu2.1
gnupg-utils 2.2.19-3ubuntu2.1
gnupg2 2.2.19-3ubuntu2.1
gpg 2.2.19-3ubuntu2.1
gpg-agent 2.2.19-3ubuntu2.1
gpg-wks-client 2.2.19-3ubuntu2.1
gpg-wks-server 2.2.19-3ubuntu2.1
gpgconf 2.2.19-3ubuntu2.1
gpgsm 2.2.19-3ubuntu2.1
gpgv 2.2.19-3ubuntu2.1
grep 3.4-1
gsfonts 1:8.11+urwcyr1.0.7~pre44-4.4
gzip 1.10-0ubuntu4
hicolor-icon-theme 0.17-2
hostname 3.23
icu-devtools 66.1-2ubuntu2
ieee-data 20180805.1
imagemagick 8:6.9.10.23+dfsg-2.1ubuntu11.4
imagemagick-6-common 8:6.9.10.23+dfsg-2.1ubuntu11.4
imagemagick-6.q16 8:6.9.10.23+dfsg-2.1ubuntu11.4
inetutils-ping 2:1.9.4-11ubuntu0.1
init-system-helpers 1.57
javascript-common 11
jq 1.6-1ubuntu0.20.04.1
krb5-locales 1.17-6ubuntu4.1
less 551-1ubuntu0.1
lib32gcc-s1 10.3.0-1ubuntu1~20.04
lib32stdc++6 10.3.0-1ubuntu1~20.04
libacl1:amd64 2.2.53-6
libalgorithm-diff-perl 1.19.03-2
libalgorithm-diff-xs-perl 0.04-6
libalgorithm-merge-perl 0.08-3
libapparmor1:amd64 2.13.3-7ubuntu5.1
libapt-pkg6.0:amd64 2.0.6
libargon2-1:amd64 0~20171227-0.2
libargon2-dev:amd64 0~20171227-0.2
libasan5:amd64 9.3.0-17ubuntu1~20.04
libasn1-8-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libasound2:amd64 1.2.2-2.1ubuntu2.4
libasound2-data 1.2.2-2.1ubuntu2.4
libassuan0:amd64 2.5.3-7ubuntu2
libatomic1:amd64 10.3.0-1ubuntu1~20.04
libattr1:amd64 1:2.4.48-5
libaudit-common 1:2.8.5-2ubuntu6
libaudit1:amd64 1:2.8.5-2ubuntu6
libavahi-client3:amd64 0.7-4ubuntu7.1
libavahi-common-data:amd64 0.7-4ubuntu7.1
libavahi-common3:amd64 0.7-4ubuntu7.1
libbinutils:amd64 2.34-6ubuntu1.1
libblkid-dev:amd64 2.34-0.1ubuntu9.1
libblkid1:amd64 2.34-0.1ubuntu9.1
libbrotli1:amd64 1.0.7-6ubuntu0.1
libbsd0:amd64 0.10.0-1
libbz2-1.0:amd64 1.0.8-2
libbz2-dev:amd64 1.0.8-2
libc-bin 2.31-0ubuntu9.2
libc-dev-bin 2.31-0ubuntu9.2
libc6:amd64 2.31-0ubuntu9.2
libc6-dev:amd64 2.31-0ubuntu9.2
libc6-i386 2.31-0ubuntu9.2
libcairo-gobject2:amd64 1.16.0-4ubuntu1
libcairo-script-interpreter2:amd64 1.16.0-4ubuntu1
libcairo2:amd64 1.16.0-4ubuntu1
libcairo2-dev:amd64 1.16.0-4ubuntu1
libcanberra0:amd64 0.30-7ubuntu1
libcap-ng0:amd64 0.7.9-2.1build1
libcbor0.6:amd64 0.6.0-0ubuntu1
libcc1-0:amd64 10.3.0-1ubuntu1~20.04
libclang-common-6.0-dev 1:6.0.1-14
libclang1-6.0 1:6.0.1-14
libcom-err2:amd64 1.45.5-2ubuntu1
libcommon-sense-perl 3.74-2build6
libcrypt-dev:amd64 1:4.4.10-10ubuntu4
libcrypt1:amd64 1:4.4.10-10ubuntu4
libctf-nobfd0:amd64 2.34-6ubuntu1.1
libctf0:amd64 2.34-6ubuntu1.1
libcups2:amd64 2.3.1-9ubuntu1.1
libcurl3-gnutls:amd64 7.68.0-1ubuntu2.7
libcurl4:amd64 7.68.0-1ubuntu2.7
libcurl4-openssl-dev:amd64 7.68.0-1ubuntu2.7
libdatrie1:amd64 0.2.12-3
libdb5.3:amd64 5.3.28+dfsg1-0.6ubuntu2
libdbus-1-3:amd64 1.12.16-2ubuntu2.1
libdebconfclient0:amd64 0.251ubuntu1
libdjvulibre-dev:amd64 3.5.27.1-14ubuntu0.1
libdjvulibre-text 3.5.27.1-14ubuntu0.1
libdjvulibre21:amd64 3.5.27.1-14ubuntu0.1
libdpkg-perl 1.19.7ubuntu3
libedit2:amd64 3.1-20191231-1
libelf1:amd64 0.176-1.1build1
liberror-perl 0.17029-1
libevent-2.1-7:amd64 2.1.11-stable-1
libevent-core-2.1-7:amd64 2.1.11-stable-1
libevent-dev 2.1.11-stable-1
libevent-extra-2.1-7:amd64 2.1.11-stable-1
libevent-openssl-2.1-7:amd64 2.1.11-stable-1
libevent-pthreads-2.1-7:amd64 2.1.11-stable-1
libexif-dev:amd64 0.6.21-6ubuntu0.4
libexif-doc 0.6.21-6ubuntu0.4
libexif12:amd64 0.6.21-6ubuntu0.4
libexpat1:amd64 2.2.9-1build1
libexpat1-dev:amd64 2.2.9-1build1
libext2fs2:amd64 1.45.5-2ubuntu1
libfakeroot:amd64 1.24-1
libfdisk1:amd64 2.34-0.1ubuntu9.1
libffi-dev:amd64 3.3-4
libffi7:amd64 3.3-4
libfftw3-double3:amd64 3.3.8-2ubuntu1
libfido2-1:amd64 1.3.1-1ubuntu2
libfile-fcntllock-perl 0.22-3build4
libfontconfig1:amd64 2.13.1-2ubuntu3
libfontconfig1-dev:amd64 2.13.1-2ubuntu3
libfreetype-dev:amd64 2.10.1-2ubuntu0.1
libfreetype6:amd64 2.10.1-2ubuntu0.1
libfreetype6-dev:amd64 2.10.1-2ubuntu0.1
libfribidi0:amd64 1.0.8-2
libgc1c2:amd64 1:7.6.4-0.4ubuntu1
libgcc-9-dev:amd64 9.3.0-17ubuntu1~20.04
libgcc-s1:amd64 10.3.0-1ubuntu1~20.04
libgcrypt20:amd64 1.8.5-5ubuntu1.1
libgd-dev:amd64 2.2.5-5.2ubuntu2.1
libgd3:amd64 2.2.5-5.2ubuntu2.1
libgdbm-compat4:amd64 1.18.1-5
libgdbm6:amd64 1.18.1-5
libgdk-pixbuf2.0-0:amd64 2.40.0+dfsg-3ubuntu0.2
libgdk-pixbuf2.0-bin 2.40.0+dfsg-3ubuntu0.2
libgdk-pixbuf2.0-common 2.40.0+dfsg-3ubuntu0.2
libgdk-pixbuf2.0-dev:amd64 2.40.0+dfsg-3ubuntu0.2
libgirepository-1.0-1:amd64 1.64.1-1~ubuntu20.04.1
libglib2.0-0:amd64 2.64.6-1~ubuntu20.04.4
libglib2.0-bin 2.64.6-1~ubuntu20.04.4
libglib2.0-data 2.64.6-1~ubuntu20.04.4
libglib2.0-dev:amd64 2.64.6-1~ubuntu20.04.4
libglib2.0-dev-bin 2.64.6-1~ubuntu20.04.4
libgmp-dev:amd64 2:6.2.0+dfsg-4
libgmp10:amd64 2:6.2.0+dfsg-4
libgmpxx4ldbl:amd64 2:6.2.0+dfsg-4
libgnutls30:amd64 3.6.13-2ubuntu1.6
libgomp1:amd64 10.3.0-1ubuntu1~20.04
libgpg-error0:amd64 1.37-1
libgpgme11:amd64 1.13.1-7ubuntu2
libgpm2:amd64 1.20.7-5
libgraphite2-3:amd64 1.3.13-11build1
libgs9:amd64 9.50~dfsg-5ubuntu4.3
libgs9-common 9.50~dfsg-5ubuntu4.3
libgssapi-krb5-2:amd64 1.17-6ubuntu4.1
libgssapi3-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libharfbuzz0b:amd64 2.6.4-1ubuntu4
libhcrypto4-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libheimbase1-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libheimntlm0-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libhogweed5:amd64 3.5.1+really3.5.1-2ubuntu0.2
libhx509-5-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libice-dev:amd64 2:1.0.10-0ubuntu1
libice6:amd64 2:1.0.10-0ubuntu1
libicu-dev:amd64 66.1-2ubuntu2
libicu66:amd64 66.1-2ubuntu2
libidn11:amd64 1.33-2.2ubuntu2
libidn2-0:amd64 2.2.0-2
libijs-0.35:amd64 0.35-15
libilmbase-dev:amd64 2.3.0-6build1
libilmbase24:amd64 2.3.0-6build1
libimagequant0:amd64 2.12.2-1.1
libisl22:amd64 0.22.1-1
libitm1:amd64 10.3.0-1ubuntu1~20.04
libjbig-dev:amd64 2.1-3.1build1
libjbig0:amd64 2.1-3.1build1
libjbig2dec0:amd64 0.18-1ubuntu1
libjpeg-dev:amd64 8c-2ubuntu8
libjpeg-turbo8:amd64 2.0.3-0ubuntu1.20.04.1
libjpeg-turbo8-dev:amd64 2.0.3-0ubuntu1.20.04.1
libjpeg8:amd64 8c-2ubuntu8
libjpeg8-dev:amd64 8c-2ubuntu8
libjq1:amd64 1.6-1ubuntu0.20.04.1
libjs-jquery 3.3.1~dfsg-3
libjson-c4:amd64 0.13.1+dfsg-7ubuntu0.3
libjson-perl 4.02000-2
libjson-xs-perl 4.020-1build1
libjsoncpp1:amd64 1.7.4-3.1ubuntu2
libk5crypto3:amd64 1.17-6ubuntu4.1
libkeyutils1:amd64 1.6-6ubuntu1
libkrb5-26-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libkrb5-3:amd64 1.17-6ubuntu4.1
libkrb5support0:amd64 1.17-6ubuntu4.1
libksba8:amd64 1.3.5-2
liblcms2-2:amd64 2.9-4
liblcms2-dev:amd64 2.9-4
libldap-2.4-2:amd64 2.4.49+dfsg-2ubuntu1.8
libldap-common 2.4.49+dfsg-2ubuntu1.8
libllvm6.0:amd64 1:6.0.1-14
liblmdb0:amd64 0.9.24-1
liblocale-gettext-perl 1.07-4
liblqr-1-0:amd64 0.4.2-2.1
liblqr-1-0-dev:amd64 0.4.2-2.1
liblsan0:amd64 10.3.0-1ubuntu1~20.04
libltdl-dev:amd64 2.4.6-14
libltdl7:amd64 2.4.6-14
liblz4-1:amd64 1.9.2-2ubuntu0.20.04.1
liblzma-dev:amd64 5.2.4-1ubuntu1
liblzma5:amd64 5.2.4-1ubuntu1
liblzo2-2:amd64 2.10-2
libmagic-mgc 1:5.38-4
libmagic1:amd64 1:5.38-4
libmagick++-6-headers 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagick++-6.q16-8:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagick++-6.q16-dev:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagick++-dev 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickcore-6-arch-config:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickcore-6-headers 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickcore-6.q16-6:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickcore-6.q16-6-extra:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickcore-6.q16-dev:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickcore-dev 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickwand-6-headers 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickwand-6.q16-6:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickwand-6.q16-dev:amd64 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmagickwand-dev 8:6.9.10.23+dfsg-2.1ubuntu11.4
libmaxminddb0:amd64 1.4.2-0ubuntu1.20.04.1
libmcrypt-dev 2.5.8-3.4
libmcrypt4 2.5.8-3.4
libmount-dev:amd64 2.34-0.1ubuntu9.1
libmount1:amd64 2.34-0.1ubuntu9.1
libmpc3:amd64 1.1.0-1
libmpdec2:amd64 2.4.2-3
libmpfr6:amd64 4.0.2-1
libmysqlclient-dev 8.0.26-0ubuntu0.20.04.3
libmysqlclient21:amd64 8.0.26-0ubuntu0.20.04.3
libncurses-dev:amd64 6.2-0ubuntu2
libncurses5:amd64 6.2-0ubuntu2
libncurses6:amd64 6.2-0ubuntu2
libncursesw6:amd64 6.2-0ubuntu2
libnetpbm10 2:10.0-15.3build1
libnettle7:amd64 3.5.1+really3.5.1-2ubuntu0.2
libnghttp2-14:amd64 1.40.0-1build1
libnpth0:amd64 1.6-1
libobjc-9-dev:amd64 9.3.0-17ubuntu1~20.04
libobjc4:amd64 10.3.0-1ubuntu1~20.04
libogg0:amd64 1.3.4-0ubuntu1
libomp-10-dev 1:10.0.0-4ubuntu1
libomp-dev 1:10.0-50~exp1
libomp5-10:amd64 1:10.0.0-4ubuntu1
libonig5:amd64 6.9.4-1
libopenexr-dev 2.3.0-6ubuntu0.5
libopenexr24:amd64 2.3.0-6ubuntu0.5
libopenjp2-7:amd64 2.3.1-1ubuntu4.20.04.1
libp11-kit0:amd64 0.23.20-1ubuntu0.1
libpam-modules:amd64 1.3.1-5ubuntu4.3
libpam-modules-bin 1.3.1-5ubuntu4.3
libpam-runtime 1.3.1-5ubuntu4.3
libpam0g:amd64 1.3.1-5ubuntu4.3
libpango-1.0-0:amd64 1.44.7-2ubuntu4
libpangocairo-1.0-0:amd64 1.44.7-2ubuntu4
libpangoft2-1.0-0:amd64 1.44.7-2ubuntu4
libpaper-utils 1.1.28
libpaper1:amd64 1.1.28
libpcre16-3:amd64 2:8.39-12build1
libpcre2-16-0:amd64 10.34-7
libpcre2-32-0:amd64 10.34-7
libpcre2-8-0:amd64 10.34-7
libpcre2-dev:amd64 10.34-7
libpcre2-posix2:amd64 10.34-7
libpcre3:amd64 2:8.39-12build1
libpcre3-dev:amd64 2:8.39-12build1
libpcre32-3:amd64 2:8.39-12build1
libpcrecpp0v5:amd64 2:8.39-12build1
libperl5.30:amd64 5.30.0-9ubuntu0.2
libpipeline1:amd64 1.5.2-2build1
libpixman-1-0:amd64 0.38.4-0ubuntu1
libpixman-1-dev:amd64 0.38.4-0ubuntu1
libpng-dev:amd64 1.6.37-2
libpng-tools 1.6.37-2
libpng16-16:amd64 1.6.37-2
libpopt0:amd64 1.16-14
libpq-dev 14.0-1.pgdg18.04+1
libpq5:amd64 14.0-1.pgdg18.04+1
libprocps8:amd64 2:3.3.16-1ubuntu2.3
libpsl5:amd64 0.21.0-1ubuntu1
libpthread-stubs0-dev:amd64 0.4-1
libpython2-stdlib:amd64 2.7.17-2ubuntu4
libpython2.7-minimal:amd64 2.7.18-1~20.04.1
libpython2.7-stdlib:amd64 2.7.18-1~20.04.1
libpython3-stdlib:amd64 3.8.2-0ubuntu2
libpython3.8:amd64 3.8.10-0ubuntu1~20.04.1
libpython3.8-dev:amd64 3.8.10-0ubuntu1~20.04.1
libpython3.8-minimal:amd64 3.8.10-0ubuntu1~20.04.1
libpython3.8-stdlib:amd64 3.8.10-0ubuntu1~20.04.1
libquadmath0:amd64 10.3.0-1ubuntu1~20.04
libreadline-dev:amd64 8.0-4
libreadline8:amd64 8.0-4
libroken18-heimdal:amd64 7.7.0+dfsg-1ubuntu1
librsvg2-2:amd64 2.48.9-1ubuntu0.20.04.1
librsvg2-common:amd64 2.48.9-1ubuntu0.20.04.1
librsvg2-dev:amd64 2.48.9-1ubuntu0.20.04.1
librtmp1:amd64 2.4+20151223.gitfa8646d.1-2build1
libruby2.7:amd64 2.7.0-5ubuntu1.5
libsasl2-2:amd64 2.1.27+dfsg-2
libsasl2-dev 2.1.27+dfsg-2
libsasl2-modules:amd64 2.1.27+dfsg-2
libsasl2-modules-db:amd64 2.1.27+dfsg-2
libseccomp2:amd64 2.5.1-1ubuntu1~20.04.1
libselinux1:amd64 3.0-1build2
libselinux1-dev:amd64 3.0-1build2
libsemanage-common 3.0-1build2
libsemanage1:amd64 3.0-1build2
libsepol1:amd64 3.0-1
libsepol1-dev:amd64 3.0-1
libsigsegv2:amd64 2.12-2
libsm-dev:amd64 2:1.2.3-1
libsm6:amd64 2:1.2.3-1
libsmartcols1:amd64 2.34-0.1ubuntu9.1
libsqlite0 2.8.17-15fakesync1build1
libsqlite0-dev 2.8.17-15fakesync1build1
libsqlite3-0:amd64 3.31.1-4ubuntu0.2
libsqlite3-dev:amd64 3.31.1-4ubuntu0.2
libss2:amd64 1.45.5-2ubuntu1
libssh-4:amd64 0.9.3-2ubuntu2.2
libssl-dev:amd64 1.1.1f-1ubuntu2.8
libssl1.1:amd64 1.1.1f-1ubuntu2.8
libstdc++-9-dev:amd64 9.3.0-17ubuntu1~20.04
libstdc++6:amd64 10.3.0-1ubuntu1~20.04
libsystemd0:amd64 245.4-4ubuntu3.13
libtasn1-6:amd64 4.16.0-2
libtdb1:amd64 1.4.2-3build1
libthai-data 0.1.28-3
libthai0:amd64 0.1.28-3
libtiff-dev:amd64 4.1.0+git191117-2ubuntu0.20.04.2
libtiff5:amd64 4.1.0+git191117-2ubuntu0.20.04.2
libtiffxx5:amd64 4.1.0+git191117-2ubuntu0.20.04.2
libtinfo5:amd64 6.2-0ubuntu2
libtinfo6:amd64 6.2-0ubuntu2
libtool 2.4.6-14
libtsan0:amd64 10.3.0-1ubuntu1~20.04
libtypes-serialiser-perl 1.0-1
libubsan1:amd64 10.3.0-1ubuntu1~20.04
libudev1:amd64 245.4-4ubuntu3.13
libunistring2:amd64 0.9.10-2
libuuid1:amd64 2.34-0.1ubuntu9.1
libuv1:amd64 1.34.2-1ubuntu1.3
libvorbis0a:amd64 1.3.6-2ubuntu1
libvorbisfile3:amd64 1.3.6-2ubuntu1
libvpx-dev:amd64 1.8.2-1build1
libvpx6:amd64 1.8.2-1build1
libwebp6:amd64 0.6.1-2ubuntu0.20.04.1
libwebpdemux2:amd64 0.6.1-2ubuntu0.20.04.1
libwebpmux3:amd64 0.6.1-2ubuntu0.20.04.1
libwind0-heimdal:amd64 7.7.0+dfsg-1ubuntu1
libwmf-dev 0.2.8.4-17ubuntu1
libwmf0.2-7:amd64 0.2.8.4-17ubuntu1
libx11-6:amd64 2:1.6.9-2ubuntu1.2
libx11-data 2:1.6.9-2ubuntu1.2
libx11-dev:amd64 2:1.6.9-2ubuntu1.2
libxau-dev:amd64 1:1.0.9-0ubuntu1
libxau6:amd64 1:1.0.9-0ubuntu1
libxcb-render0:amd64 1.14-2
libxcb-render0-dev:amd64 1.14-2
libxcb-shm0:amd64 1.14-2
libxcb-shm0-dev:amd64 1.14-2
libxcb1:amd64 1.14-2
libxcb1-dev:amd64 1.14-2
libxdmcp-dev:amd64 1:1.1.3-0ubuntu1
libxdmcp6:amd64 1:1.1.3-0ubuntu1
libxext-dev:amd64 2:1.3.4-0ubuntu1
libxext6:amd64 2:1.3.4-0ubuntu1
libxml2:amd64 2.9.10+dfsg-5ubuntu0.20.04.1
libxml2-dev:amd64 2.9.10+dfsg-5ubuntu0.20.04.1
libxmuu1:amd64 2:1.1.3-0ubuntu1
libxpm-dev:amd64 1:3.5.12-1
libxpm4:amd64 1:3.5.12-1
libxrender-dev:amd64 1:0.9.10-1
libxrender1:amd64 1:0.9.10-1
libxslt1-dev:amd64 1.1.34-4
libxslt1.1:amd64 1.1.34-4
libxt-dev:amd64 1:1.1.5-1
libxt6:amd64 1:1.1.5-1
libyaml-0-2:amd64 0.2.2-1
libzip-dev:amd64 1.5.1-0ubuntu1
libzip5:amd64 1.5.1-0ubuntu1
libzstd1:amd64 1.4.4+dfsg-3ubuntu0.1
linux-libc-dev:amd64 5.4.0-88.99
llvm-6.0 1:6.0.1-14
llvm-6.0-dev 1:6.0.1-14
llvm-6.0-runtime 1:6.0.1-14
locales 2.31-0ubuntu9.2
login 1:4.8.1-1ubuntu5.20.04.1
logrotate 3.14.0-4ubuntu3
logsave 1.45.5-2ubuntu1
lsb-base 11.1.0ubuntu2
lsb-release 11.1.0ubuntu2
m4 1.4.18-4
make 4.2.1-1.2
manpages 5.05-1
manpages-dev 5.05-1
mawk 1.3.4.20200120-2
mercurial 5.3.1-1ubuntu1
mercurial-common 5.3.1-1ubuntu1
mime-support 3.64ubuntu1
mount 2.34-0.1ubuntu9.1
mtr-tiny 0.93-1
mysql-common 5.8+1.0.5ubuntu2
nano 4.8-1ubuntu1
ncurses-base 6.2-0ubuntu2
ncurses-bin 6.2-0ubuntu2
netbase 6.1
netpbm 2:10.0-15.3build1
openssh-client 1:8.2p1-4ubuntu0.3
openssl 1.1.1f-1ubuntu2.8
passwd 1:4.8.1-1ubuntu5.20.04.1
patch 2.7.6-6
perl 5.30.0-9ubuntu0.2
perl-base 5.30.0-9ubuntu0.2
perl-modules-5.30 5.30.0-9ubuntu0.2
pgdg-keyring 2018.2
pinentry-curses 1.1.0-3build1
pkg-config 0.29.1-0ubuntu4
poppler-data 0.4.9-2
postgresql-client-12 12.8-1.pgdg18.04+1
postgresql-client-common 231.pgdg18.04+1
postgresql-common 231.pgdg18.04+1
postgresql-server-dev-12 12.8-1.pgdg18.04+1
procps 2:3.3.16-1ubuntu2.3
publicsuffix 20200303.0012-1
python-babel-localedata 2.6.0+dfsg.1-1ubuntu2.2
python2 2.7.17-2ubuntu4
python2-minimal 2.7.17-2ubuntu4
python2.7 2.7.18-1~20.04.1
python2.7-minimal 2.7.18-1~20.04.1
python3 3.8.2-0ubuntu2
python3-babel 2.6.0+dfsg.1-1ubuntu2.2
python3-blinker 1.4+dfsg1-0.3ubuntu1
python3-breezy 3.0.2-4ubuntu2
python3-bs4 4.8.2-1
python3-certifi 2019.11.28-1
python3-cffi-backend 1.14.0-1build1
python3-chardet 3.0.4-4build1
python3-configobj 5.0.6-4
python3-cryptography 2.8-3ubuntu0.1
python3-dateutil 2.7.3-3ubuntu1
python3-dbus 1.2.16-1build1
python3-debtcollector 2.0.0-0ubuntu1
python3-deprecated 1.2.7-1
python3-distro 1.4.0-1
python3-distutils 3.8.10-0ubuntu1~20.04
python3-docutils 0.16+dfsg-2
python3-dulwich 0.19.15-1build1
python3-entrypoints 0.3-2ubuntu1
python3-fastimport 0.9.8-5build1
python3-gi 3.36.0-1
python3-github 1.43.7-1
python3-gitlab 1:2.0.1-1
python3-gpg 1.13.1-7ubuntu2
python3-html5lib 1.0.1-2
python3-httplib2 0.14.0-1ubuntu1
python3-idna 2.8-1
python3-iso8601 0.1.12-1
python3-jwt 1.7.1-2ubuntu2
python3-keyring 18.0.1-2ubuntu1
python3-keystoneauth1 4.0.0-0ubuntu1
python3-keystoneclient 1:4.0.0-0ubuntu1
python3-launchpadlib 1.10.13-1
python3-lazr.restfulclient 0.14.2-2build1
python3-lazr.uri 1.0.3-4build1
python3-lib2to3 3.8.10-0ubuntu1~20.04
python3-lxml:amd64 4.5.0-1ubuntu0.3
python3-minimal 3.8.2-0ubuntu2
python3-monotonic 1.5-0ubuntu2
python3-msgpack 0.6.2-1
python3-netaddr 0.7.19-3
python3-netifaces 0.10.4-1ubuntu4
python3-oauthlib 3.1.0-1ubuntu2
python3-olefile 0.46-2
python3-os-service-types 1.7.0-0ubuntu1
python3-oslo.config 1:8.0.2-0ubuntu1
python3-oslo.context 1:3.0.2-0ubuntu1
python3-oslo.i18n 4.0.1-0ubuntu1
python3-oslo.log 4.1.1-0ubuntu1
python3-oslo.serialization 3.1.1-0ubuntu1
python3-oslo.utils 4.1.1-0ubuntu1
python3-pbr 5.4.5-0ubuntu1
python3-pil:amd64 7.0.0-4ubuntu0.4
python3-pkg-resources 45.2.0-1
python3-pygments 2.3.1+dfsg-1ubuntu2.2
python3-pyinotify 0.9.6-1.2ubuntu1
python3-pyparsing 2.4.6-1
python3-requests 2.22.0-2ubuntu1
python3-rfc3986 1.3.2-0ubuntu2
python3-roman 2.0.0-3build1
python3-secretstorage 2.3.1-2ubuntu1
python3-setuptools 45.2.0-1
python3-simplejson 3.16.0-2ubuntu2
python3-six 1.14.0-2
python3-soupsieve 1.9.5+dfsg-1
python3-stevedore 1:1.32.0-0ubuntu2
python3-swiftclient 1:3.9.0-0ubuntu1.2
python3-tz 2019.3-1
python3-urllib3 1.25.8-2ubuntu0.1
python3-wadllib 1.3.3-3build1
python3-webencodings 0.5.1-1ubuntu1
python3-wrapt 1.11.2-2build1
python3-yaml 5.3.1-1ubuntu0.1
python3.8 3.8.10-0ubuntu1~20.04.1
python3.8-minimal 3.8.10-0ubuntu1~20.04.1
rake 13.0.1-4
readline-common 8.0-4
rsync 3.1.3-8
ruby 1:2.7+1
ruby-minitest 5.13.0-1
ruby-net-telnet 0.1.1-2
ruby-power-assert 1.1.7-1
ruby-test-unit 3.3.5-1
ruby-xmlrpc 0.3.0-2
ruby2.7 2.7.0-5ubuntu1.5
ruby2.7-dev:amd64 2.7.0-5ubuntu1.5
ruby2.7-doc 2.7.0-5ubuntu1.5
rubygems-integration 1.16
sed 4.7-1
sensible-utils 0.0.12+nmu1
sgml-base 1.29.1
shared-mime-info 1.15-1
sound-theme-freedesktop 0.8-2ubuntu1
sqlite3 3.31.1-4ubuntu0.2
ssl-cert 1.0.39
sysvinit-utils 2.96-2.1ubuntu1
tar 1.30+dfsg-7ubuntu0.20.04.1
telnet 0.17-41.2build1
traceroute 1:2.1.0-2
tzdata 2021a-2ubuntu0.20.04
ubuntu-keyring 2020.02.11.4
ucf 3.0038+nmu1
unzip 6.0-25ubuntu1
util-linux 2.34-0.1ubuntu9.1
uuid-dev:amd64 2.34-0.1ubuntu9.1
vim 2:8.1.2269-1ubuntu5.3
vim-common 2:8.1.2269-1ubuntu5.3
vim-runtime 2:8.1.2269-1ubuntu5.3
wget 1.20.3-1ubuntu1
x11-common 1:7.7+19ubuntu14
x11proto-core-dev 2019.2-1ubuntu1
x11proto-dev 2019.2-1ubuntu1
x11proto-xext-dev 2019.2-1ubuntu1
xauth 1:1.1-0ubuntu1
xdg-user-dirs 0.17-2ubuntu1
xml-core 0.18+nmu1
xorg-sgml-doctools 1:1.11-1
xtrans-dev 1.4.0-1
xxd 2:8.1.2269-1ubuntu5.3
xz-utils 5.2.4-1ubuntu1
zip 3.0-11build1
zlib1g:amd64 1:1.2.11.dfsg-2ubuntu1.2
zlib1g-dev:amd64 1:1.2.11.dfsg-2ubuntu1.2

mode_edit Suggest edits